{% extends "base.html" %}
{% load static %}

{% block title %}Rechercher{% endblock %}

{% block css %}
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-T3c6CoIi6uLrA9TneNEoa7RxnatzjcDSCmG1MXxSR1GAsXEV/Dwwykc2MPK8M2HN" crossorigin="anonymous">
<link rel="stylesheet" type="text/css" href="{% static '../static/css/animeDetails.css' %}"/>
<link rel="stylesheet" type="text/css" href="{% static '../static/css/base.css' %}"/>
{% endblock %}

{% block content %}
{% for anime in anime_data %}
<div class="d-flex flex-column justify-content-center align-items-center">
    <div class="yaganime-anime_details-title d-flex justify-content-center align-items-center">
        <span>{{ anime.title }}</span>
    </div>
    <div class="yaganime-anime_details-details mt-3 mb-3">
        <div class="yaganime-anime_details-details-image m-2">
            <img src="{{ anime.picture.medium }}" alt="Error">
        </div>
        <div class="yaganime-anime_details-details-contenu d-flex flex-row justify-content-center align-items-center">
            <div class="yaganime-anime_details-details-contenu-part_left d-flex flex-column justify-content-center m-1">
                <div>
                    <span style="text-decoration: underline">Rang:</span>
                    <span>ㅤ{{ anime.rank }}</span>
                </div>
                <div>
                    <span style="text-decoration: underline">Note:</span>
                    <span>ㅤ {{ anime.mean }}</span>
                </div>
                <span>ㅤ</span>
                <div>
                    <span style="text-decoration: underline">Date de début:</span>
                    <span>ㅤ{{ anime.start_date }}</span>
                </div>
                <div>
                    <span style="text-decoration: underline">Date de fin:</span>
                    <span>ㅤ{{ anime.end_date }}</span>
                </div>
                <div>
                    <span style="text-decoration: underline">Status:</span>
                    <span>ㅤ{{ anime.status }}</span>
                </div>
                <span>ㅤ</span>
                <div>
                    <span style="text-decoration: underline">Nombres d'épisodes:</span>
                    <span>ㅤ{{ anime.num_episodes }}</span>
                </div>
                <div>
                    <span style="text-decoration: underline">Durée moyenne d'un épisodes:</span>
                    <span>ㅤ{{ anime.average_episode_duration }}</span>
                </div>
            </div>
        </div>
        <div>
            <div class="yaganime-anime_details-details-contenu-part_right d-flex flex-column justify-content-center align-items-center m-1">
                <span style="text-decoration: underline">Genres:</span>
                <ul>
                    {% for genre in anime.genres %}
                    <li class="me-3">{{ genre.name }}</li>
                    {% endfor %}
                </ul>
                <span style="text-decoration: underline">Studios:</span>
                <ul>
                    {% for studio in anime.studios %}
                    <li>{{ studio.name }}</li>
                    {% endfor %}
                </ul>
            </div>
        </div>

    </div>
    <div class="yaganime-anime_details-synopsis  d-flex flex-column justify-content-center align-items-start">
        <span class="m-1">Synopsis:</span>
        <span class="m-1">{{ anime.synopsis }}</span>
    </div>
    <div class="mt-3">
        <form method="post" action="{% url 'ajouter_liste_anime' %}">
            {% csrf_token %}
            <input type="hidden" name="anime_id" value="{{ anime.id }}">
            <input type="hidden" name="name" value="{{ anime.title }}">
            <input type="hidden" name="picture" value="{{ anime.picture.medium }}">
            <input type="hidden" name="mean" value="{{ anime.mean }}">
            <input type="hidden" name="rank" value="{{ anime.rank }}">
            <button class="yaganime-anime_details-btn mt-3" type="submit">Ajouter à la liste</button>
        </form>
    </div>

</div>
{% endfor %}

{% endblock %}

{% block script %}
{% endblock %}
